/* Admin Panel CSS Override */
body.outside.rad-theme {
  background: whitesmoke !important;

}

body .global-header {

  background-color: white;
}
.content_section_services p a{
  font-weight: bold;
  color: var(--bg-button-blue);
}
.content_section_services p {
margin-bottom: 10px;
}

.container{
  width: 100%;
}
@media (min-width: 640px){
  .container{
    max-width: 640px;
  }
}
@media (min-width: 768px){
  .container{
    max-width: 768px;
  }
}
@media (min-width: 1024px){
  .container{
    max-width: 1024px;
  }
}
@media (min-width: 1280px){
  .container{
    max-width: 1280px;
  }
}
@media (min-width: 1536px){
  .container{
    max-width: 1360px !important;
  }
}


/* FONT FAMILY – Optimized for Web */
@font-face {
  font-family: "Montserrat";
  src: url("/assets/font-family/Montserrat-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat";
  src: url("/assets/font-family/Montserrat-Medium.woff2") format("woff2");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat";
  src: url("/assets/font-family/Montserrat-SemiBold.woff2") format("woff2");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat";
  src: url("/assets/font-family/Montserrat-Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}


  body {
    font-family: "Montserrat";
    overflow-x: hidden;
  }



/* Hide the reCAPTCHA badge */
/* .grecaptcha-badge {
    display: none !important;
} */

.outside .white-label-logo {
    width: 160px !important;
}

html {
    scroll-behavior: smooth !important;
}


:root {
    --bg-blue:#4141FF;
    --bg-button-gradient-color:linear-gradient(90deg, #00B2FF 0%, #5ECEFF 100%);
    --bg-secondary-color:#D1F1FF;
    --bg-button-blue:#00B2FF;
    --text-blue:#0780B8;
    --bg-gray:#EFEFEF;
    --bg-dark-blue:#000E15;

}
/* .gradient-btn-hover {
  background-image: linear-gradient(to right, #00B2FF ,#5ECEFF, #5ECEFF,#00B2FF);
  background-size: 200% 100%;
  border-radius: 50px;
  moz-transition: all .4s ease-in-out;
  -o-transition: all .4s ease-in-out;
  -webkit-transition: all .4s ease-in-out;
  transition: all .4s ease-in-out;
} */
.gradient-btn-hover:hover {
  background-position: 100% 0;
  moz-transition: all .4s ease-in-out;
  -o-transition: all .4s ease-in-out;
  -webkit-transition: all .4s ease-in-out;
  transition: all .4s ease-in-out;
}


  .gradient-btn-hover {
    will-change: transform;
  }

  /* .gradient-btn-hover:hover {
    transform: scale(1.02);
  } */

.gradient-btn-hover {
    clip-path: inset(0 round 50px);
  }



.custom_left_container {
    margin-left: var(--custom-margin-left);
}

.custom_right_container {
    margin-right: var(--custom-margin-right);
}
.primary_color{
    background-color: var(--bg-primary-color);
}

@media(max-width:1024px)
{
  .custom_right{
  margin-right: auto !important;
  }

}
.header-scroll{
  background-color: white !important;
  }



/* HOME PAGE CSS */

#loading-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 999;
}


#stickyHeader {
  transition: padding 0.3s ease-in-out;
}

.custom_fixed_background{
  background: white !important;
}

.pulse {
    animation: pulse-animation 1s infinite;
    opacity: 1 !important;
}

@keyframes pulse-animation {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(1);
    }
}






@media(min-width:1280px) and (max-width:1340px)
{
  .custom_side_gaps{
    padding-left: 20px !important;
    padding-right: 20px !important;
  }
}

@media(min-width:1024px) and (max-width:1048px)
{
  .custom_side_gaps{
    padding-left: 20px !important;
    padding-right: 20px !important;
  }
}





/* UnderLine */

/* Define the animation */
@keyframes underline {
  0% {
      width: 0;
      left: 0;
  }

  100% {
      width: 100%;
      left: 0;
  }
}

/* Apply animation on hover */
.animate-underline {
  position: relative;
  text-decoration: none;
}

.animate-underline::before {
  content: "";
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 0;
  height: 2px;
  background-color: white;
  transition: width 0.3s ease-out;
}

.animate-underline:hover::before {
  animation: underline 0.3s forwards;
}




.footer_eyeweb p {
  color:white;
}



@media (min-width: 1280px) and (max-width: 1325px) {
    .custom_side_gaps {
        padding-left: 20px !important;
        padding-right: 20px !important;
    }
}

@media (min-width: 1024px) and (max-width: 1078px) {
    .custom_side_gaps {
        padding-left: 20px !important;
        padding-right: 20px !important;
    }
}




/* -------------------------------------------------------------------------------------------------------------------------------------------------------------- */

@media(min-width:1320px){
.header-clip {
  position: relative;
  z-index: 1;
}

/* visual background only */
.header-clip::before {
  content: "";
  position: absolute;
  inset: 0;
  background: #fff !important; /* your pink / header bg */
  clip-path: polygon(4% 0%, 100% 0%, 97% 100%, 0% 100%) !important;
  z-index: -1;
  pointer-events: none;
}
}

@media(max-width:1319px){
.header-clip {
 background: #fff !important; /* your pink / header bg */
 margin-top:0 !important;

}
}

/* Base: mobile */
.stretch-bar {
  left: 70%;
  width: 30%;
}

/* ≥ 640px */
@media (min-width: 640px) {
  .stretch-bar {
    left: calc(50% + 640px * 0.2);
    width: calc(100vw - (50% + 640px * 0.2));
     clip-path: polygon(0 0, 100% 0%, 100% 100%, 2% 100%);
  }
}

/* ≥ 768px */
@media (min-width: 768px) {
  .stretch-bar {
    left: calc(50% + 768px * 0.2);
    width: calc(100vw - (50% + 768px * 0.2));
     clip-path: polygon(0 0, 100% 0%, 100% 100%, 2% 100%);
     
  }
}

/* ≥ 1024px */
@media (min-width: 1024px) {
  .stretch-bar {
    left: calc(50% + 939px * 0.2);
    width: calc(100vw - (50% + 939px * 0.2));
     clip-path: polygon(0 0, 100% 0%, 100% 100%, 2% 100%);
  }
}

/* ≥ 1280px */
@media (min-width: 1280px) {
  .stretch-bar {
    left: calc(50% + 1189px * 0.2);
    width: calc(100vw - (50% + 1189px * 0.2));
     clip-path: polygon(0 0, 100% 0%, 100% 100%, 2% 100%);
  }
}

/* ≥ 1536px (your final max width = 1460px) */
@media (min-width: 1536px) {
  .stretch-bar {
    left: calc(50% + 1670px * 0.2);
        width: calc(100vw - (50% + 1670px * 0.2));
        clip-path: polygon(0 0, 100% 0%, 100% 100%, 1.2% 100%);
    
  }
}
@media(max-width:1023px)
{
 .stretch-bar {
   display: none !important;
  }
}
@media (min-width: 1280px) and (max-width: 1340px) {
 .global-nav{
    justify-content: center;
    gap: 20px;
}
.global-nav .menu-item{
  gap:20px;
}
.nv-btn{
padding:18px 30px !important;
}

}

.hero-clip {
  clip-path: polygon(0% 0%, 98.5% 0%, 100% 100%, 0% 100%);
}
@media(max-width:1023px)
{
  .hero-clip {
   clip-path: polygon(0% 0%, 97.5% 0%, 100% 100%, 0% 100%);
  }
}
@keyframes marquee {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

.animate-marquee {
  animation: marquee 50s linear infinite;
}


/* Base gradient border (fallback) */
.gradient-border {
  border: 2px solid transparent;
  background:
    linear-gradient(#fff, #fff) padding-box,
    linear-gradient(to right, #f6f6f60a 0%, #4141FF 100%) border-box;
}

/* 1️⃣ First container → RIGHT border gradient */
.gradient-border:nth-child(1) {
  background:
    linear-gradient(#fff, #fff) padding-box,
    linear-gradient(to right, #f6f6f60a 0%, #4141FF 100%) border-box;
}

/* 2️⃣ Second container → TOP border gradient */
.gradient-border:nth-child(2) {
  background:
    linear-gradient(#fff, #fff) padding-box,
    linear-gradient(to top, #f6f6f60a 0%, #4141FF 100%) border-box;
}

/* 3️⃣ Third container → LEFT border gradient */
.gradient-border:nth-child(3) {
  background:
    linear-gradient(#fff, #fff) padding-box,
    linear-gradient(to left, #f6f6f60a 0%, #4141FF 100%) border-box;
}
@media(max-width:1023px)
{
  .gradient-border {
 border-right: 0 !important;
 border-left: 0 !important;
  }

}
@media(max-width:1023px){
.three-container,.no-container{
  max-width:100% !important;
}


}



/* ≥1024px */
@media (min-width: 1024px){
  .align-with-container{
    margin-left: calc((100vw - 1024px) / 2) !important;
  }
}

/* ≥1280px */
@media (min-width: 1280px){
  .align-with-container{
    margin-left: calc((100vw - 1280px) / 2) !important;
  }
}

/* ≥1536px */
@media (min-width: 1536px){
  .align-with-container{
    margin-left: calc((100vw - 1360px) / 2) !important;
  }
}


.fleet-strip{
clip-path: polygon(0 0, 100% 0%, 100% 100%, 1.2% 100%);
}


/* Owl equal height fix */
.Process-carousel .owl-stage {
  display: flex;
}

.Process-carousel .owl-item {
  display: flex;
}

.Process-carousel .owl-item > div {
  display: flex;
  height: 100%;
}


.fleet-feature-grid > .fleet-item:nth-child(3n) .fleet-clip {
  left: auto !important;
  
  top:auto !important;
  right: -16.5% !important;
  bottom:0 !important;
}

@media(max-width:1368px){
  .fleet-clip{
    display: none !important;
  }
}

/* FIRST item of every row */
.fleet-feature-grid > .fleet-item:nth-child(3n + 1) .fleet-clip,
  
/* LAST item of every row */
.fleet-feature-grid > .fleet-item:nth-child(3n) .fleet-clip {
  display: block;
}



.vehicle-flex .vehicle-border-gradient:nth-child(odd) {
  background: linear-gradient(to right, #f6f6f60a 0%, #4141FF 100%);
  text-align: right;
}

.vehicle-flex .vehicle-border-gradient:nth-child(even) {
  background: linear-gradient(to left, #f6f6f60a 0%, #4141FF 100%);
}
@media(max-width:1023px)
{
  .vehicle-flex .vehicle-border-gradient:nth-child(odd) {
    text-align: left !important;
  }
}
.timeline-item {
  position: relative;
}

.timeline-border-left {
  background:
    linear-gradient(#ffffff, #ffffff) padding-box,
    linear-gradient(to right, #f6f6f60a 0%, #4141FF 100%) border-box;
  border: 1px solid transparent;
 
}
.timeline-border-right{
background: linear-gradient(#fff, #fff) padding-box, linear-gradient(to left, #f6f6f60a 0%, #4141FF 100%) border-box;
border: 1px solid transparent;
}

@media (max-width: 1023px) {

  /* Base styles for all timeline items */
  #left-column .timeline-border-left {
    background:
      linear-gradient(#ffffff, #ffffff) padding-box,
      linear-gradient(to right, #f6f6f60a 0%, #4141FF 100%) border-box;
    border: 1px solid transparent;
    border-left:0 !important;
    border-right:0 !important;
  }

  /* Even items → reverse gradient */
  #left-column .timeline-border-left:nth-child(even) {
    background:
      linear-gradient(#ffffff, #ffffff) padding-box,
      linear-gradient(to left, #f6f6f60a 0%, #4141FF 100%) border-box;
       border: 1px solid transparent;
       border-left:0 !important;
    border-right:0 !important;
  }

    /* Base styles for all timeline items */
  #right-column .timeline-border-right {
    background:
      linear-gradient(#ffffff, #ffffff) padding-box,
      linear-gradient(to right, #f6f6f60a 0%, #4141FF 100%) border-box;
    border: 1px solid transparent;
    border-left:0 !important;
    border-right:0 !important;
  }

  /* Even items → reverse gradient */
  #right-column .timeline-border-right:nth-child(even) {
    background:
      linear-gradient(#ffffff, #ffffff) padding-box,
      linear-gradient(to left, #f6f6f60a 0%, #4141FF 100%) border-box;
      border-left:0 !important;
    border-right:0 !important;
  }

}
#left-column .timeline-item:first-child .connector-line {
    display: none !important;
}


/* ≥1024px */
@media (min-width: 1024px){
  .align-with-team-container {
    margin-left: calc((100vw - 1024px) / 2) !important;
  }
}

/* ≥1280px */
@media (min-width: 1280px){
  .align-with-team-container {
    margin-left: calc((100vw - 1280px) / 2) !important;
  }
}

/* ≥1536px */
@media (min-width: 1536px){
  .align-with-team-container {
    margin-left: calc((100vw - 1400px) / 2) !important;
  }
}

 .page-description p {
        margin-bottom: 25px !important;
    }
    .page-description p:last-child {
        margin-bottom: 0 !important;
    }
 

.quote-form input,
.quote-form textarea,
.quote-form select {
    width:100%;
    padding:15px;
    height:45px;
    border:none;
    background:transparent;
}
.quote-form textarea{ height:100%!important; }
.quote-form input:focus,
.quote-form textarea:focus{ outline:none; }

.contact-us-form-field.form-error{
    border-color:#ef4444!important;
}

.step-btn{
    border:1px solid #4141FF;
    color:#4141FF;
    font-style:italic;
    font-weight:600;
    transition:.3s;
}
.step-btn.active{
    background:#4141FF;
    color:#fff;
}
@media (min-width: 1536px) and (max-width: 1780px) {
  .custom-pr {
    padding-right: 250px !important;
  }
}

 .contact-us-form-field input{
        width: 100%;
        padding:15px 10px;
        height:45px;
       
        font-size: 16px;
        font-family: inherit;
        
    }
     .contact-us-form-field input:focus , .contact-us-form-field textarea:focus{
        outline:none;
        box-shadow:none;
        border-color:#4141FF;
     }
      .contact-us-form-field textarea{
        width: 100%;
        padding:15px 10px;
        font-size: 16px;
        font-family: inherit;
       
      }
.custom-checkbox {
    display: flex;
    gap: 18px;
    align-items: center;
    cursor: pointer;
    font-size: 14px;
    font-style: italic;
    font-weight: 500;
    color: #1E1E1E;
    position: relative;
}



/* Checkbox box */
.custom-checkbox .checkmark {
    width: 25px;
    height: 25px;
    border: 2px solid #4141FF;
    background: #fff;
    position: relative;
    flex-shrink: 0;
}

/* Tick */
.custom-checkbox .checkmark::after {
    content: "";
    position: absolute;
    left: 8px;
    top: 3px;
    width: 6px;
    height: 10px;
    border: solid #4141FF;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
    opacity: 0;
}

/* ✅ THIS IS THE KEY LINE */
.custom-checkbox:has(input[type="checkbox"]:checked) .checkmark::after {
    opacity: 1;
}

.custom-checkbox .checkbox-text {
    line-height: 1.5;
}
.custom-checkbox label{
    position: absolute;
    left:6px;
    color:#fff;
}
.custom-checkbox br{
    display: none;
}



.privacy-content{
    margin-bottom: 50px;
}
/* Paragraph spacing */
.privacy-content p {
  margin-bottom: 18px;
}
.privacy-content ul{
    list-style: disc;
}
/* Strong / headings */
.privacy-content strong {
  display: inline-block;
  color: #1E1E1E;
  font-weight: 600;
  margin-bottom: 0px;
  font-size:22px;
  line-height: 32px;
}

/* Section gaps */
.privacy-content p + ul,
.privacy-content ul + p {
  margin-top: 16px;
}

/* UL styling */
.privacy-content ul {
  margin: 12px 0 24px 20px;
  padding-left: 18px;
}

/* LI styling */
.privacy-content ul li {
  margin-bottom: 12px;
  padding-left: 6px;
  position: relative;
}

/* Optional: nicer bullets */
.privacy-content ul li::marker {
  color: #1E1E1E;
  font-size: 14px;
}

/* Links */
.privacy-content a {
  color: #1E1E1E;
  text-decoration: underline;
}

.privacy-content a:hover {
  opacity: 0.8;
}

@media(max-width: 767px){
 .privacy-content strong {
        font-size: 20px;
    }
}


.about-description p {
  margin-bottom: 20px;
}

.about-description p:last-child {
    margin-bottom: 0;
}

.highlighted-title strong {
  color: var(--highlight-color);
  font-weight: 600;
}



/* Add to your existing CSS */
#customer-stories-container {
    transition: min-height 0.3s ease;
}

#customer-stories-container .bg-primary {
    transition: min-height 0.3s ease;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.story-image {
  opacity: 0;
  position: absolute;
  inset: 0;
  transition: opacity 0.3s ease;
}

.story-image.is-active {
  opacity: 1;
  z-index: 2;
}

.client-logo {
  display:none;
}

.client-logo.is-active {
  display:block;
}

.home-about-description p:empty {
  margin-bottom: 20px;
}
.hero-section{
background-position: var(--mobile-bg-pos, 85% 50%) !important;
}

@media (min-width:1024px){
.hero-section{
background-position: var(--desktop-bg-pos, center 70%) !important;
}
}


/* Hide number input spinners */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
}